- name: "Create the deployment citydb-wfs"
  kubernetes.core.k8s:
    state: present
    kubeconfig: "{{ k8s_config }}"
    context: "{{ k8s_context }}"
    namespace: "{{ k8s_namespace }}"
    definition:
      apiVersion: apps/v1
      kind: Deployment
      metadata:
        name: "citydb-wfs"
        namespace: "{{ k8s_namespace }}"
        labels:
          app: "citydb-wfs"
      spec:
        replicas: 1
        selector:
          matchLabels:
            app: "citydb-wfs"
        template:
          metadata:
            labels:
              app: "citydb-wfs"
          spec:
            containers:
            - name: "citydb-wfs"
              image: "{{ default.citydb_settings.wfs.image_repository }}:{{ default.citydb_settings.wfs.image_tag }}"    
              imagePullPolicy: "Always"
              ports:
                - containerPort: 8080   
              env:
              - name: CITYDB_TYPE
                value: "postgresql" 
              - name: CITYDB_HOST
                value: "{{ inv_gd.citydb_settings.wfs.db_service }}"                     
              - name: CITYDB_PORT
                value: "{{ inv_gd.citydb_settings.wfs.db_port }}" 
              - name: CITYDB_NAME
                value: "{{ inv_gd.citydb_settings.wfs.db_name }}" 
              - name: CITYDB_SCHEMA
                value: "{{ inv_gd.citydb_settings.wfs.db_schema }}" 
              - name: CITYDB_USERNAME
                value: "{{ inv_gd.citydb_settings.wfs.db_user }}" 
              - name: CITYDB_PASSWORD
                value: "{{ inv_gd.citydb_settings.wfs.db_password }}" 
              - name: WFS_CONTEXT_PATH
                value: "/"                    

- name: Create the service for citydb-wfs
  k8s:
    state: present
    kubeconfig: "{{ k8s_config }}"
    context: "{{ k8s_context }}"
    namespace: "{{ k8s_namespace }}"
    definition:
      apiVersion: v1
      kind: Service
      metadata:
        creationTimestamp: null
        labels:
          app: "citydb-wfs"
        name: "citydb-wfs"
        namespace: "{{ k8s_namespace }}"
      spec:
        ports:
          - name: "http"
            port: 8080
            targetPort: 8080  
        selector:
          app: "citydb-wfs"
